Name:          python-pyzmq
Version:       23.0.0
Release:       1mamba
Summary:       Python bindings for zeromq
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           https://github.com/zeromq/pyzmq
Source:        https://pypi.debian.net/pyzmq/pyzmq-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython3-devel
BuildRequires: libzeromq-devel
## AUTOBUILDREQ-END

%description
This package contains Python bindings for zeromq.
zeromq is a lightweight and fast messaging implementation.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n pyzmq-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/pyzmq-%{version}-py*.egg-info
%{python_sitearch}/pyzmq-%{version}-py*.egg-info/*
%doc COPYING.LESSER README.md

%changelog
* Fri May 20 2022 Automatic Build System <autodist@mambasoft.it> 23.0.0-1mamba
- automatic version update by autodist

* Thu Sep 16 2021 Automatic Build System <autodist@mambasoft.it> 22.3.0-1mamba
- automatic version update by autodist

* Thu Aug 05 2021 Automatic Build System <autodist@mambasoft.it> 22.2.1-1mamba
- automatic version update by autodist

* Thu Aug 05 2021 Automatic Build System <autodist@mambasoft.it> 22.2.0-1mamba
- automatic version update by autodist

* Wed May 26 2021 Automatic Build System <autodist@mambasoft.it> 22.1.0-1mamba
- automatic version update by autodist

* Sat Apr 03 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 22.0.3-2mamba
- rebuilt with distdeps

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 22.0.3-1mamba
- automatic version update by autodist

* Wed Jan 20 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 21.0.1-1mamba
- update to 21.0.1

* Wed Feb 03 2016 Automatic Build System <autodist@mambasoft.it> 15.2.0-1mamba
- automatic version update by autodist

* Sun Dec 27 2015 Automatic Build System <autodist@mambasoft.it> 15.1.0-1mamba
- automatic version update by autodist

* Fri Sep 25 2015 Davide Madrisan <davide.madrisan@gmail.com> 14.7.0-1mamba
- package created by autospec
